<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.DataTypeParser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html">DataTypeParser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_data_type_parser-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.DataTypeParser Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains methods to parse the objects of a metadata graph according to the mapping type.  
 <a href="class_semantic_search_implementation_1_1_data_type_parser.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8c371d01e728d8bc0e40130e2ef4e5f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a8c371d01e728d8bc0e40130e2ef4e5f7">DataTypeParser</a> (<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> RDFClient)</td></tr>
<tr class="separator:a8c371d01e728d8bc0e40130e2ef4e5f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18849e45b44c2cd985b39ff79bddeae0"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a18849e45b44c2cd985b39ff79bddeae0">Parse</a> (string label, INode node, <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a> indexMapper, <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a> profile)</td></tr>
<tr class="memdesc:a18849e45b44c2cd985b39ff79bddeae0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the node given the mapping and profile.  <a href="class_semantic_search_implementation_1_1_data_type_parser.html#a18849e45b44c2cd985b39ff79bddeae0">More...</a><br /></td></tr>
<tr class="separator:a18849e45b44c2cd985b39ff79bddeae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3ac75774b1e0b1fbb0eff67401542e"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a9a3ac75774b1e0b1fbb0eff67401542e">ParseDate</a> (string label, ILiteralNode literalNode)</td></tr>
<tr class="memdesc:a9a3ac75774b1e0b1fbb0eff67401542e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a literal node into a date and adds fields for day, month and year.  <a href="class_semantic_search_implementation_1_1_data_type_parser.html#a9a3ac75774b1e0b1fbb0eff67401542e">More...</a><br /></td></tr>
<tr class="separator:a9a3ac75774b1e0b1fbb0eff67401542e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3928fe278ccf5e714762f442d586cbdd"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a3928fe278ccf5e714762f442d586cbdd">ParseString</a> (string label, ILiteralNode literalNode)</td></tr>
<tr class="memdesc:a3928fe278ccf5e714762f442d586cbdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a literal node into a string.  <a href="class_semantic_search_implementation_1_1_data_type_parser.html#a3928fe278ccf5e714762f442d586cbdd">More...</a><br /></td></tr>
<tr class="separator:a3928fe278ccf5e714762f442d586cbdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34f08c81f1c9423c0f074a33dce5e2f"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#af34f08c81f1c9423c0f074a33dce5e2f">ParseInt</a> (string label, ILiteralNode literalNode)</td></tr>
<tr class="memdesc:af34f08c81f1c9423c0f074a33dce5e2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a literal node into an integer.  <a href="class_semantic_search_implementation_1_1_data_type_parser.html#af34f08c81f1c9423c0f074a33dce5e2f">More...</a><br /></td></tr>
<tr class="separator:af34f08c81f1c9423c0f074a33dce5e2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a71886e1c97ea1b9bed344f6e4f0c5d25"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a71886e1c97ea1b9bed344f6e4f0c5d25">ParseLiteralNode</a> (string label, string type, ILiteralNode literalNode)</td></tr>
<tr class="memdesc:a71886e1c97ea1b9bed344f6e4f0c5d25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses literal nodes depending on the needed Elasticsearch type specified in the mapping for a label.  <a href="class_semantic_search_implementation_1_1_data_type_parser.html#a71886e1c97ea1b9bed344f6e4f0c5d25">More...</a><br /></td></tr>
<tr class="separator:a71886e1c97ea1b9bed344f6e4f0c5d25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d5b2779e4f9f8c5ab20f92bc301f166"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a7d5b2779e4f9f8c5ab20f92bc301f166">ParseBoolean</a> (string label, ILiteralNode literalNode)</td></tr>
<tr class="memdesc:a7d5b2779e4f9f8c5ab20f92bc301f166"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a literal node into a boolean and adds second field for a written representation of the label and boolean value.  <a href="class_semantic_search_implementation_1_1_data_type_parser.html#a7d5b2779e4f9f8c5ab20f92bc301f166">More...</a><br /></td></tr>
<tr class="separator:a7d5b2779e4f9f8c5ab20f92bc301f166"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad0d84d7e0542aae6fd191379fa2c535d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#ad0d84d7e0542aae6fd191379fa2c535d">_RDFClient</a></td></tr>
<tr class="separator:ad0d84d7e0542aae6fd191379fa2c535d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains methods to parse the objects of a metadata graph according to the mapping type. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8c371d01e728d8bc0e40130e2ef4e5f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c371d01e728d8bc0e40130e2ef4e5f7">&#9670;&nbsp;</a></span>DataTypeParser()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.DataTypeParser.DataTypeParser </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td>
          <td class="paramname"><em>RDFClient</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a18849e45b44c2cd985b39ff79bddeae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18849e45b44c2cd985b39ff79bddeae0">&#9670;&nbsp;</a></span>Parse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.DataTypeParser.Parse </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">INode&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a>&#160;</td>
          <td class="paramname"><em>indexMapper</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the node given the mapping and profile. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label</td><td>The label of the field.</td></tr>
    <tr><td class="paramname">node</td><td>The node which needs to be converted into a (list of) literal.</td></tr>
    <tr><td class="paramname">indexMapper</td><td>The <code><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html" title="Contains methods to create, change and handle the current Elasticsearch index.">ElasticsearchIndexMapper</a></code>.</td></tr>
    <tr><td class="paramname">profile</td><td>The specific applicationprofile the node belongs to.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object containing the label (key) and the corresponding literal/list of literals (value).</dd></dl>

</div>
</div>
<a id="a7d5b2779e4f9f8c5ab20f92bc301f166"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d5b2779e4f9f8c5ab20f92bc301f166">&#9670;&nbsp;</a></span>ParseBoolean()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.DataTypeParser.ParseBoolean </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ILiteralNode&#160;</td>
          <td class="paramname"><em>literalNode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses a literal node into a boolean and adds second field for a written representation of the label and boolean value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label</td><td>The label of the property which is used as field.</td></tr>
    <tr><td class="paramname">literalNode</td><td>The literal node which needs to be parsed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object containing the label (key) and the corresponding boolean (value) as well as a written variant.</dd></dl>

</div>
</div>
<a id="a9a3ac75774b1e0b1fbb0eff67401542e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a3ac75774b1e0b1fbb0eff67401542e">&#9670;&nbsp;</a></span>ParseDate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.DataTypeParser.ParseDate </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ILiteralNode&#160;</td>
          <td class="paramname"><em>literalNode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses a literal node into a date and adds fields for day, month and year. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label</td><td>The label of the property which is used as field.</td></tr>
    <tr><td class="paramname">literalNode</td><td>The literal node which needs to be parsed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object containing the label (key) and the corresponding date (value) as well as pairs for day, year and month.</dd></dl>

</div>
</div>
<a id="af34f08c81f1c9423c0f074a33dce5e2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af34f08c81f1c9423c0f074a33dce5e2f">&#9670;&nbsp;</a></span>ParseInt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.DataTypeParser.ParseInt </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ILiteralNode&#160;</td>
          <td class="paramname"><em>literalNode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses a literal node into an integer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label</td><td>The label of the property which is used as field.</td></tr>
    <tr><td class="paramname">literalNode</td><td>The literal node which needs to be parsed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object containing the label (key) and the corresponding integer (value).</dd></dl>

</div>
</div>
<a id="a71886e1c97ea1b9bed344f6e4f0c5d25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71886e1c97ea1b9bed344f6e4f0c5d25">&#9670;&nbsp;</a></span>ParseLiteralNode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.DataTypeParser.ParseLiteralNode </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ILiteralNode&#160;</td>
          <td class="paramname"><em>literalNode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses literal nodes depending on the needed Elasticsearch type specified in the mapping for a label. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label</td><td>The label of the property which is used as field.</td></tr>
    <tr><td class="paramname">type</td><td>The type specified in the Elasticsearch mapping for the label.</td></tr>
    <tr><td class="paramname">literalNode</td><td>The literal node which needs to be parsed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object containing the label (key) and the corresponding literal (value).</dd></dl>

</div>
</div>
<a id="a3928fe278ccf5e714762f442d586cbdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3928fe278ccf5e714762f442d586cbdd">&#9670;&nbsp;</a></span>ParseString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.DataTypeParser.ParseString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ILiteralNode&#160;</td>
          <td class="paramname"><em>literalNode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses a literal node into a string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label</td><td>The label of the property which is used as field.</td></tr>
    <tr><td class="paramname">literalNode</td><td>The literal node which needs to be parsed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object containing the label (key) and the corresponding string (value).</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad0d84d7e0542aae6fd191379fa2c535d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0d84d7e0542aae6fd191379fa2c535d">&#9670;&nbsp;</a></span>_RDFClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> SemanticSearchImplementation.DataTypeParser._RDFClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_data_type_parser_8cs.html">DataTypeParser.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
